Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration
Class PrintStreamAnnotationMonitor

    java.lang.Object
      org.jbehave.core.configuration.NullAnnotationMonitor
          org.jbehave.core.configuration.PrintStreamAnnotationMonitor

All Implemented Interfaces:
  AnnotationMonitor

    public class PrintStreamAnnotationMonitor

extends NullAnnotationMonitor

Constructor Summary
`PrintStreamAnnotationMonitor()`
`PrintStreamAnnotationMonitor(PrintStream output)`

Method Summary
`void` | `annotationNotFound(Class<? extends Annotation> annotation, Object annotatedInstance)`
`void` | `elementCreationFailed(Class<?> elementClass, Exception cause)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintStreamAnnotationMonitor

    public PrintStreamAnnotationMonitor()

### PrintStreamAnnotationMonitor

    public PrintStreamAnnotationMonitor(PrintStream output)

Method Detail

### elementCreationFailed

    public void elementCreationFailed(Class<?> elementClass,
                                      Exception cause)

  Specified by:
    `elementCreationFailed` in interface `AnnotationMonitor`
  Overrides:
    `elementCreationFailed` in class `NullAnnotationMonitor`

### annotationNotFound

    public void annotationNotFound(Class<? extends Annotation> annotation,
                                   Object annotatedInstance)

  Specified by:
    `annotationNotFound` in interface `AnnotationMonitor`
  Overrides:
    `annotationNotFound` in class `NullAnnotationMonitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.